about summary refs log tree commit diff
diff options
context:
space:
mode:
authorVika <vika@fireburn.ru>2022-03-03 00:04:16 +0300
committerVika <vika@fireburn.ru>2022-03-03 00:04:16 +0300
commitb64f3add27bac6914ea1f8b2a5e801c7f73bcc76 (patch)
treedf5b5e89dbf991f2389937cbf0a935f2dfa32687
parent4de2f901a549f051c1a03b83fc114d38638dcbfb (diff)
fonts: init font update script
This will be used to embed fonts into the executable to not rely on
Google Fonts anymore.
-rw-r--r--.gitignore3
-rwxr-xr-xfonts/update.sh8
2 files changed, 10 insertions, 1 deletions
diff --git a/.gitignore b/.gitignore
index fbaa011..e4d4a27 100644
--- a/.gitignore
+++ b/.gitignore
@@ -8,4 +8,5 @@ dump.rdb
 .\#*
 .*~
 *~
-/test-dir
\ No newline at end of file
+/test-dir
+fonts/*
diff --git a/fonts/update.sh b/fonts/update.sh
new file mode 100755
index 0000000..02dcbee
--- /dev/null
+++ b/fonts/update.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -e
+cd fonts
+url='https://fonts.google.com/download?family=Lato|Caveat|Noto%20Color%20Emoji|Noto%20Colr%20Emoji%20Glyf'
+tmp=$(mktemp)
+curl "$url" > "$tmp"
+unzip -uo "$tmp"
+rm "$tmp"